production:
    image: golang
    stage: deploy
    before_script:
        - mkdir -p ~/.ssh
        - echo -e "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
        - chmod 600 ~/.ssh/id_rsa
        - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
    script:
        # Ghiffari Agsarya Arlin
        - go build -o server1.exe main.go
        - scp server1.exe ubuntu@$DEPLOY_SERVER:/home/ubuntu/
    environment:
        name: production
